Subject: RFC 4758 ERRATA

From: Magnus Nyström <[email-masked]>
Date: Fri, 5 Jan 2007 17:02:15 +0100 (W. Europe Standard Time)

Dear RFC Editor,

The following issues have been found in the recently published RFC 4758 
and I have verified them, and the suggested remedy. Many Thanks to Alfred 
Hönes for spotting these errors.

1. The second paragraph of Section 3.7.1, on page 13, says:

   The XML format for CT-KIP messages have been designed to be
   extensible.

It should say:

   The XML format for CT-KIP messages has been designed to be
   extensible.

2. The final 3 lines at the bottom of page 17,

      </xs:sequence>
      <xs:attribute name="id" type="xs:ID"/>
    </xs:complexType>

should be:

      </xs:sequence>
    </xs:complexType>

3. The final two XML schema lines on mid-page 18,

      <xs:attribute name="Version" type="ct-kip:VersionType"/>
    </xs:complexType>

should be:

      <xs:attribute name="Version" type="VersionType"/>
    </xs:complexType>

4. Near the bottom of page 28, the XML Schema lines,

    <xs:complexContent>
      <xs:extension base="ExtensionType">
        <xs:sequence>

should be:

    <xs:complexContent>
      <xs:extension base="AbstractExtensionType">
         <xs:sequence>

5.  The following text in the lower half of page 42,

    <xs:complexType name="PayloadType">
      <xs:annotation>
        <xs:documentation xml:lang="en">
        </xs:documentation>
      </xs:annotation>

should be (documentation was missing):

    <xs:complexType name="PayloadType">
      <xs:annotation>
        <xs:documentation xml:lang="en">
         Currently, only the nonce is defined.  In future versions,
         other payloads may be defined, e.g., for one-roundtrip
         initialization protocols.
      </xs:documentation>
    </xs:annotation>

6. The example at the beginning of Section B.2, on mid-page 46,

    <CT-KIPTrigger
      xmlns= [...]

should be:

    <?xml version="1.0" encoding="UTF-8"?>
    <CT-KIPTrigger
      xmlns= [...]

7. The example in Section B.4, on mid-page 47,

    <ServerHello
      xmlns=
      "http://www.rsasecurity.com/rsalabs/otps/schemas/2005/12/ct-kip#"
      xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      Version="1.0" SessionID="4114" Status="Success">

should be (note end of last line):

    <ServerHello
      xmlns=
      "http://www.rsasecurity.com/rsalabs/otps/schemas/2005/12/ct-kip#"
      xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      Version="1.0" SessionID="4114" Status="Continue">

8. Appendix D repeatedly uses the "ROUND" function where in fact it
should use the "CEILING function (3 instances: on pp. 49, 51, and 52).

-- Magnus